Package wx :: Module gizmos :: Class EditableListBox

[frames | no frames]

## Type EditableListBox

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            EditableListBox

Proxy of C++ EditableListBox class

Method Summary
Window | ``__init__`(self, parent, id, pos, size, style, name)` Construct and show a generic Window.
BitmapButton | `GetDelButton(self)`
BitmapButton | `GetDownButton(self)`
BitmapButton | `GetEditButton(self)`
ListCtrl | `GetListCtrl(self)`
BitmapButton | `GetNewButton(self)`
PyObject | `GetStrings(self)`
BitmapButton | `GetUpButton(self)`
| `SetStrings(self, strings)`

Property Summary
| `DelButton`: See `GetDelButton`
| `DownButton`: See `GetDownButton`
| `EditButton`: See `GetEditButton`
| `ListCtrl`: See `GetListCtrl`
| `NewButton`: See `GetNewButton`
| `Strings`: See `GetStrings` and `SetStrings`
| `thisown`: The membership flag
| `UpButton`: See `GetUpButton`

Instance Method Details

### __init__(self, parent, id=-1, label=EmptyString, pos=DefaultPosition, size=DefaultSize, style=wxEL_ALLOW_NEW|wxEL_ALLOW_EDIT|wxEL_ALLOW_DELETE, name=EditableListBoxNameStr)
(Constructor)

Construct and show a generic Window.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    Window
  Overrides:
    `wx.Panel.__init__` (inherited documentation)

Property Details

### DelButton

See `GetDelButton`

  Get Method:
    `GetDelButton`(self)

### DownButton

See `GetDownButton`

  Get Method:
    `GetDownButton`(self)

### EditButton

See `GetEditButton`

  Get Method:
    `GetEditButton`(self)

### ListCtrl

See `GetListCtrl`

  Get Method:
    `GetListCtrl`(self)

### NewButton

See `GetNewButton`

  Get Method:
    `GetNewButton`(self)

### Strings

See `GetStrings` and `SetStrings`

  Get Method:
    `GetStrings`(self)
  Set Method:
    `SetStrings`(self, strings)

### thisown

The membership flag

  Get Method:
    unknown--1220925092(...)
  Set Method:
    unknown--1220925036(...)

### UpButton

See `GetUpButton`

  Get Method:
    `GetUpButton`(self)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:17 2007 | http://epydoc.sf.net